Bug 1372311 - [abrt] gnome-shell: wl_resource_post_error(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: wl_resource_post_error(): gnome-shell killed by SIGSEGV
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cdbf1a4960bdce7adfde715156e...
Keywords:
: 1330510 (view as bug list)
Depends On:
Blocks: WaylandRelated WaylandByDefault
TreeView+ depends on / blocked
 
Reported: 2016-09-01 11:55 UTC by Christian Stadelmann
Modified: 2016-11-08 13:20 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-09-22 20:11:53 UTC


Attachments (Terms of Use)
File: backtrace (44.98 KB, text/plain)
2016-09-01 11:55 UTC, Christian Stadelmann
no flags Details
File: core_backtrace (4.16 KB, text/plain)
2016-09-01 11:55 UTC, Christian Stadelmann
no flags Details
File: dso_list (25.52 KB, text/plain)
2016-09-01 11:55 UTC, Christian Stadelmann
no flags Details
File: exploitable (100 bytes, text/plain)
2016-09-01 11:55 UTC, Christian Stadelmann
no flags Details
File: limits (1.29 KB, text/plain)
2016-09-01 11:55 UTC, Christian Stadelmann
no flags Details
File: namespaces (102 bytes, text/plain)
2016-09-01 11:55 UTC, Christian Stadelmann
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2016-09-01 11:55 UTC, Christian Stadelmann
no flags Details

Description Christian Stadelmann 2016-09-01 11:55:29 UTC
Description of problem:
I was trying to reproduce bug #1290784 with the exact same steps:

0. in a Gnome+Wayland session
1. open eclipse
2. on the perspective switcher (top right), right click on any perspective

What happens:
Gnome-shell instantly crashes

What happened on F24:
Eclipse instantly crashed in JVM code

What should happen:
No crash of course ;)

I'll be reporting the eclipse crash on F24 and add it as duplicate to bug #1290784.

Version-Release number of selected component:
gnome-shell-3.21.90.1-1.fc25

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: wl_resource_post_error
executable:     /usr/bin/gnome-shell
kernel:         4.8.0-0.rc4.git0.1.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 wl_resource_post_error at src/wayland-server.c:261
 #1 handle_popup_parent_destroyed at wayland/meta-wayland-xdg-shell.c:376
 #2 wl_signal_emit at src/wayland-server-core.h:357
 #3 destroy_resource at src/wayland-server.c:607
 #4 for_each_helper at src/wayland-util.c:373
 #5 wl_map_for_each at src/wayland-util.c:386
 #6 wl_client_destroy at src/wayland-server.c:763
 #7 wl_client_connection_data at src/wayland-server.c:283
 #8 wl_event_loop_dispatch at src/event-loop.c:423
 #9 wayland_event_source_dispatch at wayland/meta-wayland.c:78

Potential duplicate: bug 1330510

Comment 1 Christian Stadelmann 2016-09-01 11:55:35 UTC
Created attachment 1196771 [details]
File: backtrace

Comment 2 Christian Stadelmann 2016-09-01 11:55:37 UTC
Created attachment 1196772 [details]
File: core_backtrace

Comment 3 Christian Stadelmann 2016-09-01 11:55:38 UTC
Created attachment 1196773 [details]
File: dso_list

Comment 4 Christian Stadelmann 2016-09-01 11:55:40 UTC
Created attachment 1196774 [details]
File: exploitable

Comment 5 Christian Stadelmann 2016-09-01 11:55:42 UTC
Created attachment 1196775 [details]
File: limits

Comment 6 Christian Stadelmann 2016-09-01 11:55:44 UTC
Created attachment 1196776 [details]
File: namespaces

Comment 7 Christian Stadelmann 2016-09-01 11:55:45 UTC
Created attachment 1196777 [details]
File: proc_pid_status

Comment 8 Jonas Ådahl 2016-09-02 08:04:54 UTC
This doesn't seem to crash gnome-shell here any more; at least I cannot reproduce it. It does make eclipse abort, because it missuses popups, and that should be avoided in gdk by warning and ignoring misused popups.

With that said, eclipse on wayland (or eclipse on GTK_CSD=1 on X11) seems fairly broken still (tried rawhide packages and everything seems cut off). Is there any plan to fix this, or should we just fallback to X11 for eclipse?

Comment 9 Christian Stadelmann 2016-09-02 08:40:32 UTC
(In reply to Jonas Ådahl from comment #8)
> This doesn't seem to crash gnome-shell here any more; at least I cannot
> reproduce it. It does make eclipse abort, because it missuses popups, and
> that should be avoided in gdk by warning and ignoring misused popups.
Do you mean with this fix applied https://git.gnome.org/browse/mutter/commit/?id=6c8f6af or with any released version of mutter?

> With that said, eclipse on wayland (or eclipse on GTK_CSD=1 on X11) seems
> fairly broken still (tried rawhide packages and everything seems cut off).
> Is there any plan to fix this, or should we just fallback to X11 for eclipse?

Do you mean bug #1255007? So far I think this is the only major bug in eclipse on wayland, so it could be doable.

Comment 10 Jonas Ådahl 2016-09-02 09:10:06 UTC
(In reply to Christian Stadelmann from comment #9)
> (In reply to Jonas Ådahl from comment #8)
> > This doesn't seem to crash gnome-shell here any more; at least I cannot
> > reproduce it. It does make eclipse abort, because it missuses popups, and
> > that should be avoided in gdk by warning and ignoring misused popups.
> Do you mean with this fix applied
> https://git.gnome.org/browse/mutter/commit/?id=6c8f6af or with any released
> version of mutter?

No, it should probably work with the one shipped already. I suspect the xdg-shell port fixed it, or some refactorization prior to that.

> 
> > With that said, eclipse on wayland (or eclipse on GTK_CSD=1 on X11) seems
> > fairly broken still (tried rawhide packages and everything seems cut off).
> > Is there any plan to fix this, or should we just fallback to X11 for eclipse?
> 
> Do you mean bug #1255007? So far I think this is the only major bug in
> eclipse on wayland, so it could be doable.

Right.

There is also the crash listed in this one. But I'm about to try making that a g_warning (by having GDK avoid the crash, and instead just complain), so maybe its not that bad.

Comment 11 Matthias Clasen 2016-09-12 10:35:47 UTC
Jonas, that crash fix make it into gtk yet ?

Comment 12 Matthias Clasen 2016-09-13 00:21:22 UTC
should be fixed in 3.21.92

Comment 13 Christian Stadelmann 2016-09-22 20:11:53 UTC
(In reply to Matthias Clasen from comment #12)
> should be fixed in 3.21.92

It is with these versions:
gnome-shell-3.21.92-1.fc25
gtk3-3.21.6-1.fc25

Thank you!

Feel free to correct me if "CURRENTRELEASE" is wrong and should e.g. be "NEXTRELEASE". The docs are not exact on this case having the "Version" flag to some release not yet supported.

Comment 14 Rui Matos 2016-11-08 13:20:39 UTC
*** Bug 1330510 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.